<template>
  <div>
    <b-modal
      :visible="visible"
      :title="$t(titleKey)"
      ok-variant="danger"
      :ok-title="$t('delete')"
      :cancel-title="$t('cancel')"
      @hidden="$emit('close', $event.target.value)"
      @ok="$emit('ok', $event.target.value)"
      @cancel="$emit('close', $event.target.value)"
    >
      <i18n :path="descriptionKey" tag="div">
        <template #user>
          <strong>{{ selectedUser }}</strong>
        </template>
        <template #projectName>
          <strong>{{ selectedProject }}</strong>
        </template>
      </i18n>
    </b-modal>
  </div>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "DeleteModal",
  props: {
    descriptionKey: {
      default: "removeSelectedUser",
      type: String,
    },
    titleKey: {
      default: "deleteUserTitle",
      type: String,
    },
    visible: {
      default: false,
      type: Boolean,
    },
    selectedUser: {
      default: null,
      type: String,
    },
    selectedProject: {
      default: null,
      type: String,
    },
  },
});
</script>

<style></style>
